Drupal.behaviors.biblio = function() {
	// get the visibility settings
	biblio_set_field_visibility($('select[name^="field_publication_type"] option[selected]').attr('value'));

	// get it also by checkbox change
	$('select[name^="field_publication_type"]').change(function() {
		biblio_set_field_visibility(this.value);
	});
};

/**
 * Sets the field visibility
 */
function biblio_set_field_visibility(cck) {
	$.getJSON(
	"?q=biblio/js/visibility/" + cck,
	function(data){
		for (field in data) {
			if(data[field].visibility) {

				$('input[name^="'+ field + '"]').each(function() {
					$(this).parents("div.visibility-wrapper:first:hidden").slideDown('slow');
				});

			} else {

				$('input[name^="'+ field + '"]').each(function() {
					$(this).parents("div.visibility-wrapper:first:visible").slideUp('slow');
				});

			}
		}

	});
}
